For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get X/Z-Report for a till on a specific date

Get a X/Z report for a specific date for the selected till.

Required permissions: TILL_OPERATION

post
/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/xzreport/download
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
tillUidstringRequired

Reference to a till.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Body
datestring · dateRequired
Responses
200

Based on the Accept header the response will be base64 json encoded or a raw file. application/octet-stream will return a binary file application/json will return a json with the file content base64 encoded.

contentstringRequired

base64 encoded

contentTypestringRequired

mime type

filenamestringRequired
post/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/xzreport/download
POST /v2/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/xzreport/download HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 21

{
  "date": "2026-01-01"
}
{
  "content": "text",
  "contentType": "text",
  "filename": "text"
}

Last updated

Was this helpful?